Page MenuHomePhabricator

rack/setup/install lvs300[567]
Closed, ResolvedPublic

Description

This task will track the racking/setup/installation of dns[123] ordered on task T230620.

Racking Proposal: Setup via the google sheet rack layout.

Also please ensure ALL cable connections (network/mgmt/power) are recorded on the cable mapping tab of google sheet rack layout.

lvs3005:

  • - receive in system on procurement task T230620
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - disable embedded NIC
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

lvs3006:

  • - receive in system on procurement task T230620
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - disable embedded NIC
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

lvs3007:

  • - receive in system on procurement task T230620
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - disable embedded NIC
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

Details

Related Gerrit Patches:
operations/puppet : productionesams: macaddrs for all new rack 14 hosts
operations/dns : masteresams mgmt dns for rack 14
operations/puppet : productionAdd dhcp macaddrs for esams rack 16 hosts
operations/dns : masteresams: mgmt dns for rack 16
operations/dns : masterfix public interface name for lvs300[5-7]
operations/puppet : productionlvs: Fix interface names for lvs300[5-7] and provide interface_tweaks
operations/puppet : productionlvs300[567]: LVS puppetization
operations/puppet : productioninstall_server: Fix MAC addresses for new esams boxes
operations/puppet : productionBasic install for new esams hosts
operations/dns : masterlvs300[567]: add public1-esams addrs
operations/dns : masterbasic DNS entries for new esams hosts

Related Objects

StatusAssignedTask
Openwiki_willy
ResolvedPapaul

Event Timeline

RobH triaged this task as Normal priority.Wed, Oct 23, 4:42 PM
RobH created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptWed, Oct 23, 4:42 PM
Restricted Application added a project: Operations. · View Herald TranscriptWed, Oct 23, 4:42 PM
RobH added a parent task: Unknown Object (Task).Wed, Oct 23, 4:42 PM
RobH updated the task description. (Show Details)
Papaul added a subscriber: BBlack.EditedWed, Oct 23, 4:44 PM

@BBlack lvs3006 switch information

xe-5/0/12

Papaul updated the task description. (Show Details)Wed, Oct 23, 7:30 PM

Change 545658 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] Basic install for new esams hosts

https://gerrit.wikimedia.org/r/545658

Change 545662 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/dns@master] basic DNS entries for new esams hosts

https://gerrit.wikimedia.org/r/545662

Change 545662 merged by BBlack:
[operations/dns@master] basic DNS entries for new esams hosts

https://gerrit.wikimedia.org/r/545662

Change 545692 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/dns@master] lvs300[567]: add public1-esams addrs

https://gerrit.wikimedia.org/r/545692

Change 545696 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] lvs300[567]: LVS puppetization

https://gerrit.wikimedia.org/r/545696

Change 545692 merged by BBlack:
[operations/dns@master] lvs300[567]: add public1-esams addrs

https://gerrit.wikimedia.org/r/545692

Change 545658 merged by BBlack:
[operations/puppet@production] Basic install for new esams hosts

https://gerrit.wikimedia.org/r/545658

Vgutierrez updated the task description. (Show Details)Thu, Oct 24, 5:51 AM
Vgutierrez updated the task description. (Show Details)Thu, Oct 24, 5:57 AM

Change 545701 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Fix MAC addresses for new esams boxes

https://gerrit.wikimedia.org/r/545701

Change 545701 merged by Vgutierrez:
[operations/puppet@production] install_server: Fix MAC addresses for new esams boxes

https://gerrit.wikimedia.org/r/545701

Script wmf-auto-reimage was launched by vgutierrez on cumin1001.eqiad.wmnet for hosts:

['lvs3006.esams.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201910240856_vgutierrez_181105.log.

Completed auto-reimage of hosts:

['lvs3006.esams.wmnet']

and were ALL successful.

Change 545696 merged by Vgutierrez:
[operations/puppet@production] lvs300[567]: LVS puppetization

https://gerrit.wikimedia.org/r/545696

Change 545785 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Fix interface names for lvs300[5-7] and provide interface_tweaks

https://gerrit.wikimedia.org/r/545785

Change 545785 merged by Vgutierrez:
[operations/puppet@production] lvs: Fix interface names for lvs300[5-7] and provide interface_tweaks

https://gerrit.wikimedia.org/r/545785

Change 545805 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] fix public interface name for lvs300[5-7]

https://gerrit.wikimedia.org/r/545805

Change 545805 merged by Vgutierrez:
[operations/dns@master] fix public interface name for lvs300[5-7]

https://gerrit.wikimedia.org/r/545805

Vgutierrez updated the task description. (Show Details)Thu, Oct 24, 11:36 AM

@BBlack lvs3007 switch information

xe-6/0/12

Change 545880 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/dns@master] esams: mgmt dns for rack 16

https://gerrit.wikimedia.org/r/545880

Change 545880 merged by BBlack:
[operations/dns@master] esams: mgmt dns for rack 16

https://gerrit.wikimedia.org/r/545880

Change 545893 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] Add dhcp macaddrs for esams rack 16 hosts

https://gerrit.wikimedia.org/r/545893

Change 545893 merged by BBlack:
[operations/puppet@production] Add dhcp macaddrs for esams rack 16 hosts

https://gerrit.wikimedia.org/r/545893

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['lvs3007.esams.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201910241654_bblack_21400.log.

Change 545895 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/dns@master] esams mgmt dns for rack 14

https://gerrit.wikimedia.org/r/545895

Change 545895 merged by BBlack:
[operations/dns@master] esams mgmt dns for rack 14

https://gerrit.wikimedia.org/r/545895

Completed auto-reimage of hosts:

['lvs3007.esams.wmnet']

and were ALL successful.

RobH removed a subscriber: RobH.Thu, Oct 24, 5:51 PM

Change 545908 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] esams: macaddrs for all new rack 14 hosts

https://gerrit.wikimedia.org/r/545908

Change 545908 merged by BBlack:
[operations/puppet@production] esams: macaddrs for all new rack 14 hosts

https://gerrit.wikimedia.org/r/545908

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['lvs3005.esams.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201910241822_bblack_41285.log.

Completed auto-reimage of hosts:

['lvs3005.esams.wmnet']

and were ALL successful.

Papaul updated the task description. (Show Details)Thu, Oct 24, 8:24 PM

Mentioned in SAL (#wikimedia-operations) [2019-10-25T05:35:55Z] <vgutierrez> reimage lvs3007 to let it get the proper partman configuration - T236294

Script wmf-auto-reimage was launched by vgutierrez on cumin1001.eqiad.wmnet for hosts:

['lvs3007.esams.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201910250537_vgutierrez_183191.log.

Completed auto-reimage of hosts:

['lvs3007.esams.wmnet']

and were ALL successful.

RobH moved this task from Backlog to Racking Tasks on the ops-esams board.Fri, Oct 25, 3:48 PM
Papaul updated the task description. (Show Details)Sun, Oct 27, 7:01 PM

@Vgutierrez @BBlack if there is nothing else to do on these servers as far as racking and setting up, can we resolve this task?

ema moved this task from Triage to Hardware on the Traffic board.Mon, Oct 28, 3:40 PM
BBlack closed this task as Resolved.Tue, Oct 29, 1:15 PM
BBlack updated the task description. (Show Details)